Draft Scale/es

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Scale and the translation is 21% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Downgrade.svg Downgrade
Next: Edit Draft Edit.svg Arrow-right.svg

Draft Scale.svg Draft Scale

Ubicación en el Menú
Croquis -> Escala
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
S C
Introducido en versión
-
Ver también
None


Descripción

Esta herramienta escala los objetos seleccionados con respecto a un punto base. Si no se han seleccionado objetos, te invitará a seleccionarlos.

The Scale tool can produce a copy or a Draft Clone at a defined scale. Use Draft Offset to produce a scaled copy of a wire set at a certain offset. A simple copy with no scaling can be produced with Draft Move.

This tool can be used on 2D shapes created with the Draft Workbench but can also be used on many types of 3D objects such as those created with the Part Workbench or PartDesign Workbench.

Draft Scale example.jpg

Scaling one object from a reference point to a second point


Utilización

  1. Selecciona los objetos que quieres escalar
  2. Presiona el botón Draft Scale.png Escala, o presiona las teclas S y C
  3. Indica un primer punto en la vista 3D, o escribe unas coordenadas para definir el punto base del escalado. Indica otro punto en la vista 3D, o escribe unas coordenadas
  4. Otro menú con opciones de escalado se abrirá. Rellena las diferentes opciones y pulsa OK para aceptar

Opciones

  • Para introducir coordenadas manualmente, simplemente introduce los números, presiona ENTER entre cada componente X, Y y Z.
  • Las componentes X, Y, Z del segundo punto definen el factor de escala. Por ejemplo, (1,1,1) no hará nada, (2,2,2) utilizará un factor de escala scale 2x en todas las direcciones, (-1,1,1) hará una simetría en la dirección X.
  • Presionando ALT o C o pulsando el botón Copiar se creará una copia de los objetos, en lugar de escalar los originales. Si mantienes presionada ALT después de indicar el segundo punto, podrás crear más copias, hasta que liberes la tecla ALT.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la ubicación de ajuste más cercana, independientemente de la distancia.
  • Presionando SHIFT se bloqueará la relación de las coordenadas X e Y, de modo que la forma no se distorsione.
  • Presionando ESC o el botón Cancelar para abortar el comando actual.
  • El objeto resultante es una clonación, que permite cambiar el valor de escala después de que se ha creado.

Programación

La herramienta de Escalar se puede utilizar en macros y desde la consola de Python utilizando la siguiente instrucción:

scaledlist = scale(objectslist, delta=Vector(1,1,1), center=Vector(0,0,0), copy=False, legacy=False)
  • Escala los objetos contenidos en objects (que pueden ser una lista de objetos o un objeto) por los factores de escala definidos por el vector dado (en direcciones X, Y y Z) con respecto al centro dado.
  • Si legacy es True, se utiliza el modo directo (antiguo), en caso contrario se crea una copia paramétrica.
  • Si copy es True, los objetos en realidad no se mueven sino que se crean copias en su lugar.
  • Devuelve los objetos (o sus copias).

Ejemplo:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=1200)
delta1 = FreeCAD.Vector(2.3, 0.75, 0)

clone_1 = Draft.scale(Polygon1, delta1, copy=True)

Polygon2 = Draft.makePolygon(5, radius=750)
delta2 = FreeCAD.Vector(-2, -1.5, 0)

clone_2 = Draft.scale([Polygon1, Polygon2], delta2, copy=True)
Draft.move(clone_2, FreeCAD.Vector(3500, 1000, 0))
Arrow-left.svg Previous: Draft Downgrade.svg Downgrade
Next: Edit Draft Edit.svg Arrow-right.svg